Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2019-02201, UID# 2742
App. Status: Expired

Valid: 11/27/2019 - 11/30/2019
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2457 (11/26/2019)

Charge Cost Quantity Total
Non-Taxable
added 11/27/2019 4:37 AM

Fee for over length permit

$30.00 x 1 $30.00
added 11/26/2019 4:20 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 11/27/2019 4:37 AM

Fee for over width permit

$30.00 x 1 $30.00
added 11/26/2019 4:20 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 11/27/2019 4:37 AM

For movement on Plant Road

$40.00 x 1 $40.00
Grand Total
Total $160.00
Payment 11/27/2019$160.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantCody J. Idso - 11/26/2019 4:20 PM
55b7294d24fb202f636fcd0159566784
89e940609596ffc02da2625d1a9af691
 
#1 Permit Issuing OfficialKen Miller - 11/27/2019 4:38 AM
86e8cd24e20f069904a41e15d45a1648
0732fa2e184eee7aefea32b24f2328b9
 
Permit has been approved. All signatures have been obtained.